Skip to main content
GET
/
v1
/
rewards
/
{rewardId}
Get a stock award
curl --request GET \
  --url https://api.stockly.com/v1/rewards/{rewardId} \
  --header 'x-api-key: <api-key>'
{
  "reward": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "appId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "idempotencyKey": "<string>",
    "amountUsd": 123,
    "assetSymbol": "<string>",
    "source": "<string>",
    "metadata": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "executedAt": "2023-11-07T05:31:56Z",
    "failureReason": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

Your Stockly API key. Identifies your app; you never pass an app id.

Path Parameters

rewardId
string<uuid>
required

Response

The stock award

reward
object

A stock award. Moves from recorded to executed once fulfilled.